window.onload = function () {
    // Настройки служебные
    SwitchRoom("room_preloader");
    //SwitchRoom("room_bottle");
    //SwitchRoom("room_game");
    var firstGame = 1;

    // Массив событий для комнат и интерфейса
    var ticks = [];
    ticks["room_interface"] = new CustomEvent("room_interface");

    var curTime = new Date().getTime();
    var diffTickTime = 0;
    var FPS = 0;
    var startFPStime = curTime;

    // Заполняем ассациативный массив событиями
    for (var i = 0, len = rooms.length; i < len; i++) {
        ticks[ rooms[i] ] = new CustomEvent(rooms[i]);
    }

    var tmrGlobal = window.document.getElementById("tmr_global");
    var intervalTick = setInterval(function () {
        var newTime = new Date().getTime();
        diffTickTime = (newTime - curTime);
        curTime = newTime;

        if ( (curTime - startFPStime) >= 1000 ) {
            startFPStime = curTime;
            ObjSet('txt_bottle_fps', { text: 'FPS: ' +FPS });
            FPS = 0;
        } else {
            FPS++;
        }

        ticks[currentRoom]['diffMs'] = diffTickTime;
        tmrGlobal.dispatchEvent(ticks[currentRoom]);
        tmrGlobal.dispatchEvent(ticks["room_interface"]);

    }, 20);


    video = document.getElementById('video');
    video.currentTime = 0;
    video.playbackRate = 0.5;

    window.scene = 1;

    tmrGlobal.addEventListener("room_bottle", function() {
        var currentTime = Math.floor(video.currentTime);
        ObjSet('txt_bottle_current_time', { text: 'Time: ' + Math.floor(currentTime / 60) + ':' + currentTime % 60 });
        ObjSet('txt_bottle_scene', { text: 'Scene: ' + scene });
        setVideoTime();
    });



    function setVideoTime() {
        if (scene < 1) {
            ObjSet('spr_bottle_game_over', { input: 0, alp: 1});
            ObjSet('spr_bottle_speed', { input: 0, alp: 0});
            ObjSet('spr_bottle_sound', { input: 0, alp: 0});
            ObjSet('spr_bottle_sound_penis', { input: 0, alp: 0});
            video.currentTime = 0;
            video.pause();
            return;
        }
        ObjSet('spr_bottle_speed', { input: 1, alp: 1});
        ObjSet('spr_bottle_sound', { input: 1, alp: 0.7});
        ObjSet('spr_bottle_sound_penis', { input: 1, alp: 1});
        ObjSet('spr_bottle_game_over', { input: 0, alp: 0});
        //video.play();
        if (video.currentTime < scenes[scene].startTimeSec) {
            video.currentTime = scenes[scene].startTimeSec;
        }
        if (video.currentTime > scenes[scene].endTimeSec) {
            video.currentTime = scenes[scene].startTimeSec;
            setDialogs();
        }
        //console.log(video.currentTime);
    }

    setDialogs = function () {
        if (scenes[scene] && scenes[scene].title) {
            ObjSet('txt_bottle_title', { text: scenes[scene].title, alp: 0.5 });
        } else {
            ObjSet('txt_bottle_title', { text: '', alp: 0 });
        }
        if (scenes[scene].choices) {
            ObjSet('txt_bottle_choice1', { text: scenes[scene].choices[0], alp: 0.5, input: 1, event_mup: function() {
                setResponse(1);
            } });
            ObjSet('txt_bottle_choice2', { text: scenes[scene].choices[1], alp: 0.5, input: 1, event_mup: function() {
                setResponse(2);
            } });
            ObjSet('txt_bottle_choice3', { text: scenes[scene].choices[2], alp: 0.5, input: 1, event_mup: function() {
                setResponse(3);
            } });
            ObjSet('spr_bottle_hint', { input: 1, alp: 1 });
        } else {
            ObjSet('txt_bottle_choice1', { text: '', alp: 0, input: 0 });
            ObjSet('txt_bottle_choice2', { text: '', alp: 0, input: 0 });
            ObjSet('txt_bottle_choice3', { text: '', alp: 0, input: 0 });
            ObjSet('spr_bottle_hint', { input: 0, alp: 0 });
        }
    }

    function setResponse(response) {
        ObjSet('spr_bottle_porngames_logo', { input: 1, alp: 1 });
        ObjSet('spr_bottle_the_sex_game_com_logo', { input: 1, alp: 1 });

        if (scenes[scene].rightResponse == response) {
            ObjSet('txt_bottle_title', { text: '', alp: 0 });
            ObjSet('txt_bottle_choice1', { text: '', alp: 0, input: 0 });
            ObjSet('txt_bottle_choice2', { text: '', alp: 0, input: 0 });
            ObjSet('txt_bottle_choice3', { text: '', alp: 0, input: 0 });
            ObjSet('spr_bottle_hint', { input: 0, alp: 0 });

            if (scenes[scene + 1]) {
                scene++;
                video.play();
            } else {
                // Выиграл
                scene = 1;
                video.currentTime = scenes[scene].startTimeSec;
            }
        } else {
            if ( (scene == 0) || (scene == 21) ) {
                if ( (response == 2) || (response == 3) ) {
                    window.open('http://www.porngames.com/');
                } else {
                    scene = 0;
                    setDialogs();
                }
            } else {
                video.pause();
                SwitchRoom("room_game");
                startGame();
                //scene = 0;
                //setDialogs();
            }
        }


    }

    setInterval(function() {
        video.playbackRate = video.playbackRate - 0.25;
        if (video.playbackRate < 0.5) {
            video.playbackRate = 0.5;
        }
        //ObjSet('spr_bottle_speed', { res: './images/speed' + video.playbackRate + '.png' });
    }, 5000);

    ObjSet('spr_bottle_speed', {
        event_mup: function() {
            video.playbackRate = video.playbackRate + 0.25;
            if (video.playbackRate > 2) {
                video.playbackRate = 2;
            }
            //ObjSet('spr_bottle_speed', { res: './images/speed' + video.playbackRate + '.png' });
            ObjAnimate('spr_bottle_speed_hand', 'pos_y', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_speed_hand').pos_y, 0.3,0,-7, 0.6,0,-51 ]);
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
            /*
            if (video.playbackRate <= 0.5) {
                video.playbackRate = 2;
                ObjSet('spr_bottle_speed', { res: './images/rabbit.png' });
            } else if (video.playbackRate >= 2) {
                video.playbackRate = 1;
                ObjSet('spr_bottle_speed', { res: './images/clock.png' });
            } else if (video.playbackRate == 1) {
                video.playbackRate = 0.5;
                ObjSet('spr_bottle_speed', { res: './images/turtle.png' });
            }
            */
        }
    });

    ObjSet('spr_bottle_sound', {
        event_mup: function() {
            video.muted = !video.muted;
            if (video.muted) {
                //ObjSet('spr_bottle_sound', { width: 48 });
                //ObjSet('spr_bottle_sound_penis', { pos_x: 26 });
                ObjAnimate('spr_bottle_sound_penis', 'pos_x', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_sound_penis').pos_x, 0.2,0,32 ]);
            } else {
                //ObjSet('spr_bottle_sound', { width: 70 });
                //ObjSet('spr_bottle_sound_penis', { pos_x: 50 });
                ObjAnimate('spr_bottle_sound_penis', 'pos_x', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_sound_penis').pos_x, 0.2,0,50 ]);
            }
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });
    ObjSet('spr_bottle_sound_penis', {
        event_mup: function() {
            video.muted = !video.muted;
            if (video.muted) {
                //ObjSet('spr_bottle_sound', { width: 48 });
                //ObjSet('spr_bottle_sound_penis', { pos_x: 26 });
                ObjAnimate('spr_bottle_sound_penis', 'pos_x', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_sound_penis').pos_x, 0.2,0,32 ]);
            } else {
                //ObjSet('spr_bottle_sound', { width: 70 });
                //ObjSet('spr_bottle_sound_penis', { pos_x: 50 });
                ObjAnimate('spr_bottle_sound_penis', 'pos_x', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_sound_penis').pos_x, 0.2,0,50 ]);
            }
            PlaySound("sounds/sfx_sound_penis.mp3", 0);
        }
    });

    video.addEventListener("room_bottle", function() {
        var currentTime = Math.floor(video.currentTime);
        ObjSet('txt_bottle_current_time', { text: 'Time: ' + Math.floor(currentTime / 60) + ':' + currentTime % 60 });
        ObjSet('txt_bottle_scene', { text: 'Scene: ' + scene });
        setTimeVideo();
    });

    var scenes = {
        '0': {
            choices: [
                'Try again',
                'Fuck more girls',
                'Porngames.com'
            ],
            rightResponse: 1,
            timeStart: 0.0,
            timeEnd: 0.0
        },
        '1': {
            //title: 'Nice party',
            choices: [
                'I didn\'t want to come here',
                'To play volleyball is great, but we\'ve got a better idea',
                'It is a bad idea'
            ],
            rightResponse: 2,
            timeStart: '0.00.00',
            //timeEnd: '0.31.20'
            timeEnd: '0.00.09'
        },
        '2': {
            choices: [
                'I want to stop it guys',
                'Let\'s play a game called snake!',
                'Forget it!'
            ],
            rightResponse: 2,
            timeStart: '0.00.10',
            timeEnd: '0.00.22'
        },
        '3': {
            choices: [
                'I\'ve heard, that you are very talented, Flavia',
                'Don\'t use your teeth',
                'I\'ve never seen such a bad sucker'
            ],
            rightResponse: 1,
            timeStart: '0.00.23',
            timeEnd: '0.00.30'
        },
        '4': {
            choices: [
                'You\'ve hardly nipped it off!',
                'Put your fucking mouth away from me!',
                'Keep sucking, I like it'
            ],
            rightResponse: 3,
            timeStart: '0.00.31',
            timeEnd: '0.00.39'
        },
        '5': {
            choices: [
                'Open wide Cindy',
                'What are you doing slut?',
                'What does you mother think about it?'
            ],
            rightResponse: 1,
            timeStart: '0.00.40',
            timeEnd: '0.00.48'
        },
        '6': {
            choices: [
                'Good girl, but what about 2 in 1?',
                'This is the worst blow job ever!',
                'I don\'t want to touch his cock in your mouth'
            ],
            rightResponse: 1,
            timeStart: '0.00.49',
            timeEnd: '0.00.58'
        },
        '7': {
            choices: [
                'You are not interesting',
                'Rub your cock in my pussy',
                'I don\'t like blondes'
            ],
            rightResponse: 2,
            timeStart: '0.00.59',
            timeEnd: '0.01.13'
        },
        '8': {
            choices: [
                'What kind of a terminator are you?',
                'You are stinky!',
                'I want more, Bob'
            ],
            rightResponse: 3,
            timeStart: '0.01.14',
            timeEnd: '0.01.21'
        },
        '9': {
            choices: [
                'Is my cock touching your face, Bobby?',
                '69 is my favorite',
                'Get away Evan!'
            ],
            rightResponse: 2,
            timeStart: '0.01.22',
            timeEnd: '0.01.31'
        },
        '10': {
            choices: [
                'Don\'t bite it!',
                'How does it smell?',
                'Now it\'s my turn, lick my twat'
            ],
            rightResponse: 3,
            timeStart: '0.01.32',
            timeEnd: '0.01.42'
        },
        '11': {
            choices: [
                'These girls are not so good',
                'I have to go to another party',
                'Evan, let\'s swop'
            ],
            rightResponse: 3,
            timeStart: '0.01.43',
            timeEnd: '0.01.47'
        },
        '12': {
            choices: [
                'You suck too bad',
                'Give pleasure for an old man, Misty',
                'I\'ve been a virgin for over than 50 years'
            ],
            rightResponse: 2,
            timeStart: '0.01.48',
            timeEnd: '0.01.58'
        },
        '13': {
            choices: [
                'Fuck me hard my terminator!',
                'It\'s too small, I don\'t feel it',
                'Have you penetrated already?'
            ],
            rightResponse: 1,
            timeStart: '0.01.59',
            timeEnd: '0.02.09'
        },
        '14': {
            choices: [
                'This is the worst party I\'ve ever visited',
                'Let\'s change position',
                'I\'m tired'
            ],
            rightResponse: 2,
            timeStart: '0.02.10',
            timeEnd: '0.02.14'
        },
        '15': {
            choices: [
                'Hey Massimo, let\'s fuck Flavia together',
                'I will not be back!',
                'I\'m exhausted'
            ],
            rightResponse: 1,
            timeStart: '0.02.16',
            timeEnd: '0.02.25'
        },
        '16': {
            choices: [
                'We are not whores!',
                'Stop it guys',
                'We wanna do it on chairs'
            ],
            rightResponse: 3,
            timeStart: '0.02.26',
            timeEnd: '0.02.30'
        },
        '17': {
            choices: [
                'It hurts so hard',
                'I\'ve always dreamt about anal',
                'Put a cucumber in your ass, freak'
            ],
            rightResponse: 2,
            timeStart: '0.02.32',
            timeEnd: '0.02.36'
        },
        '18': {
            choices: [
                'And it\'s the snake again!',
                'See you later',
                'Go home bitches'
            ],
            rightResponse: 1,
            timeStart: '0.02.37',
            timeEnd: '0.02.42'
        },
        '19': {
            choices: [
                'You should\'ve seen your face, it\'s full of cum',
                'Swallow it bitch!',
                'It\'s time for the cum storm'
            ],
            rightResponse: 3,
            timeStart: '0.02.43',
            timeEnd: '0.02.47'
        },
        '20': {
            choices: [
                'It was the best party ever!',
                'I expected more',
                'I will never come here again'
            ],
            rightResponse: 1,
            timeStart: '0.02.48',
            timeEnd: '0.03.00'
        },
        '21': {
            choices: [
                'Try again',
                'Fuck more girls',
                'Porngames.com'
            ],
            rightResponse: 1,
            timeStart: '0.03.01',
            timeEnd: '0.03.06'
        }
    };

    var hintClick = 0;

    function clickHing() {
        ObjAnimate('spr_bottle_hint_boobs', 'pos_y', 0, 0, function() { }, [ 0,0,ObjGet('spr_bottle_hint_boobs').pos_y, 0.2,0,377, 0.4,0,357 ]);
        hintClick++;
        PlaySound("sounds/sfx_sound_penis.mp3", 0);

        if (hintClick > 9) {
            hintClick = 0;
            if (scene != 8) {
                ObjSet('txt_bottle_choice1', { alp: 0, input: 0 });
                ObjSet('txt_bottle_choice2', { alp: 0, input: 0 });
                ObjSet('txt_bottle_choice3', { alp: 0, input: 0 });
                ObjSet('txt_bottle_choice' + scenes[scene].rightResponse, { alp: 0.5, input: 1 });
            }
        }
    }

    // ObjSet('spr_preloader_porn_games', {
    //     event_mup: function() {
    //         window.open('http://www.porngames.com/');
    //     }
    // });

    var videoPreloaderStart = document.getElementById('video_preloader_start');
    var videoPreloaderEnd = document.getElementById('video_preloader_end');

    ObjSet('spr_preloader_continue', {
        event_mup: function() {
            ObjSet('spr_preloader_continue', { input: 0 });

            ObjSet('video_preloader_end', { alp: 1 });
            ObjSet('video_preloader_start', { alp: 0 });

            videoPreloaderStart.pause();
            videoPreloaderEnd.play();

            setTimeout(function() {
                SwitchRoom('room_bottle');
                video.play();
            }, 2000);
        }
    });

    ObjSet('spr_bottle_porngames_logo', {
        event_mup: function() {
            window.open('http://www.porngames.com/');
        },
        event_menter: function() {
            ObjSet('spr_bottle_porngames_logo', { scale_x: 1, scale_y: 1, pos_x: 630 });
        },
        event_mleave: function() {
            ObjSet('spr_bottle_porngames_logo', { scale_x: 0.8, scale_y: 0.8, pos_x: 635 });
        }
    });

    ObjSet('spr_bottle_the_sex_game_com_logo', {
        event_mup: function() {
            window.open('http://www.thesexgame.com/');
        }
    });

    ObjSet('spr_bottle_hint_cock', {
        event_mup: function() {
            clickHing();
        }
    });
    ObjSet('spr_bottle_hint_boobs', {
        event_mup: function() {
            clickHing();
        }
    });
    
    function getDecimal(num) {
        var result = String(num).split('.');
        result = result[result.length - 1]

        if (result) {
            if (result.length < 2) {
                return Number(result * 10);
            }
            return Number(result);
        } else {
            return 0;
        }
    }

    function setTimeInSec() {
        for (var key in scenes) {

            var hour = String(scenes[key].timeStart).split('.');

            if (hour.length == 3) {
                scenes[key].timeStart = hour[1] + '.' + hour[2];
                hour = hour[0] * 60 * 60;
            }

            var hour2 = String(scenes[key].timeEnd).split('.');

            if (hour2.length == 3) {
                scenes[key].timeEnd = hour2[1] + '.' + hour2[2];
                hour2 = hour2[0] * 60 * 60;
            }


            scenes[key].startTimeSec = Math.floor(hour) + Math.floor(scenes[key].timeStart) * 60 + getDecimal(scenes[key].timeStart);
            scenes[key].endTimeSec = Math.floor(hour2) + Math.floor(scenes[key].timeEnd) * 60 + getDecimal(scenes[key].timeEnd);
        }
    }


    setTimeInSec();

    // ********************* Snake *********************
    window.gameStart = 0;

    function startGame() {
        // Обнулять все значения игры (полный ресет);
        ObjSet('joustick', { input: 0, alp: 0 });
        ObjSet('spr_game_snake_manual', { input: 1, alp: 1 });
        PlaySound("sounds/env_snake_bg.mp3", 1);
        //window.addEventHandlerJoystick();
        //gameStart = 1; // Тестово заменил 
    }

    function getRandomNumber(min, max) {
        var result = Math.round(Math.random() * (max - min) + min);
        return result;
    }

    var keyCode = {
        '39': 'right',
        '37': 'left',
        '38': 'top',
        '40': 'down'
    };

    ObjSet('spr_game_snake_manual', {
        event_mup: function() {
            //startVolley();
            window.gameStart = 1;
            ObjAnimate('spr_game_snake_manual', 'alp', 0, 0, function() {
                if (firstGame) {
                    firstGame = 0;
                    joystickInit();
                }
                ObjSet('spr_game_snake_manual', { input: 0 });
                ObjSet('joustick', { input: 1, alp: 1 });
                
            }, [ 0,0,1, 0.5,0,0 ]);
        }
    });

    window.direction;


/*
    document.onkeydown = function(e) {
        console.log(e.keyCode);
        if (GetCurrentRoom() != 'room_game') {
            return;
        }
        if (!gameStart) {
            return;
        }
        direction = keyCode[e.keyCode] || direction;
        stepCock();
    }
*/


    var countCollectedObj = 0;

    function stepCock() {
        ObjAnimate('spr_game_snake_manual', 'alp', 0, 0, stepCock, [ 0,0,ObjGet('spr_game_snake_manual').alp, 0.3,0,ObjGet('spr_game_snake_manual').alp ]);
    }

    function gameOver() {
        gameStart = 0;
        StopSound("sounds/env_snake_bg.mp3");
        
        ObjAnimate('spr_game_snake_manual', 'alp', 0, 0, function() {
            video.play();
            SwitchRoom("room_bottle");
            scene = 0;
            setDialogs();

            ObjSet('spr_bottle_hint', { input: 0, alp: 0 });
            ObjSet('spr_bottle_porngames_logo', { input: 0, alp: 0 });
            ObjSet('spr_bottle_the_sex_game_com_logo', { input: 0, alp: 0 });
        }, [ 0,0,ObjGet('spr_game_snake_manual').alp, 0.75,0,ObjGet('spr_game_snake_manual').alp ]);
    }

    function gameWin() {
        gameStart = 0;
        
        //StopSound("sounds/env_snake_bg.mp3");
        /*
        ObjStopAnimate("spr_game_cock", "alp");
        ObjAnimate('spr_game_cock', 'alp', 0, 0, function() {
            direction = null;
            video.play();
            SwitchRoom("room_bottle");
            setDialogs();
        }, [ 0,0,ObjGet('spr_game_cock').alp, 0.75,0,ObjGet('spr_game_cock').alp ]);
        */
    }
    //startGame();

    function joystickInit() {
        //console.log('joystickInit');
        var joystick = nipplejs.create({
            zone: document.getElementById('joustick'),
            //mode: 'semi',
            //mode: 'dynamic',
            mode: 'static',
            position: { left: '732px', top: '535px' },
            //color: 'blue',
            color: '#428bca',
            size: 100
        });

        joystick.on('end', function(evt, data) {
            window.direction = null;
            // stop
            if (window.timerJoystick) {
                tmr_global.removeEventListener('room_game', window.joystickHandler);
            }
        }).on('move', function(evt, data) {
            if (GetCurrentRoom() != 'room_game') {
                return;
            }
            if (!gameStart) {
                return;
            }

            if (data.force < 0.4) {
                window.direction = null;
                return;
            }

            if (window.timerJoystick) {
                tmr_global.removeEventListener('room_game', window.joystickHandler);
            }
            tmr_global.addEventListener('room_game', window.joystickHandler);

            //console.log(data.angle.degree);

            // Вправо
            if (data.angle.degree >= 270 && data.angle.degree <= 360) {
                window.direction = 'right';
                return;
            }
            if (data.angle.degree >= 0 && data.angle.degree <= 45) {
                window.direction = 'right';
                return;
            }

            // Вниз
            if (data.angle.degree >= 225 && data.angle.degree <= 315) {
                window.direction = 'down';
                return;
            }

            // Влево
            if (data.angle.degree >= 135 && data.angle.degree <= 225) {
                window.direction = 'left';
                return;
            }

            // Вверх
            if (data.angle.degree >= 45 && data.angle.degree <= 135) {
                window.direction = 'top';
                return;
            }
            
        });
    }
};